> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update a Candid Health connection



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/integrations/candid/connection/upsert
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/candid/connection/upsert:
    post:
      tags:
        - Candid Health
      summary: Create or update a Candid Health connection
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                connectionId:
                  type: string
                  description: The ID of the connection.
                clientId:
                  type: string
                  description: The Candid Health client ID.
                clientSecret:
                  type: string
                  description: The Candid Health client secret.
                isStagingConnection:
                  type: boolean
                  description: Whether this is a staging connection.
              required:
                - connectionId
                - clientId
                - clientSecret
                - isStagingConnection
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  connectionId:
                    type: string
                    description: The connection ID.
                required:
                  - connectionId
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true

````